org.gjt.sp.jedit.textarea

## Class TextAreaBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - org.gjt.sp.jedit.textarea.TextAreaBorder

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

    public class TextAreaBorder
    extends javax.swing.border.AbstractBorder

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TextAreaBorder()`

### Method Summary

Methods
`java.awt.Insets` `getBorderInsets(java.awt.Component c)`
`void` `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextAreaBorder

    public TextAreaBorder()

### Method Detail

#### paintBorder

    public void paintBorder(java.awt.Component c,
                   java.awt.Graphics g,
                   int x,
                   int y,
                   int width,
                   int height)

Specified by:
  `paintBorder` in interface `javax.swing.border.Border`
Overrides:
  `paintBorder` in class `javax.swing.border.AbstractBorder`

#### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

Specified by:
  `getBorderInsets` in interface `javax.swing.border.Border`
Overrides:
  `getBorderInsets` in class `javax.swing.border.AbstractBorder`